Package org.eclipse.cdt.core.settings.model

## Interface ICTargetPlatformSetting

All Superinterfaces:
  `ICSettingBase`, `ICSettingObject`

    public interface ICTargetPlatformSetting
    extends ICSettingObject

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getBinaryParserIds()`
`void` `setBinaryParserIds​(String[] ids)`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingObject

`getConfiguration, getId, getName, getParent, getType, isReadOnly, isValid`

### Method Detail

#### getBinaryParserIds

    String[] getBinaryParserIds()

#### setBinaryParserIds

    void setBinaryParserIds​(String[] ids)